Bug 1956370 - Add support for port filtering for XIO cinder driver
Summary: Add support for port filtering for XIO cinder driver
Keywords:
Status: ASSIGNED
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-cinder
Version: 16.2 (Train)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Pablo Caruana
QA Contact: Tzach Shefi
Andy Stillman
URL:
Whiteboard:
Depends On: 1930255
Blocks: 1595325 1715964 1930267 1941598 1941616
TreeView+ depends on / blocked
 
Reported: 2021-05-03 14:39 UTC by arkady kanevsky
Modified: 2021-05-04 04:32 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1930255
Environment:
Last Closed:
Target Upstream Version: Wallaby


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Launchpad 1915800 0 None None None 2021-05-03 14:51:30 UTC
OpenStack gerrit 783866 0 None NEW Add ports filtering support to Dell EMC XtremIO driver 2021-05-03 14:51:30 UTC

Description arkady kanevsky 2021-05-03 14:39:35 UTC
+++ This bug was initially created as a clone of Bug #1930255 +++

Description of problem:
Add ports filtering support to Dell EMC XtremIO driver.
If there are some iSCSI or FC targets that are not connected to the OpenStack host, attach volume operation waits until timeout when trying to use these ports.
The XtremIO Cinder driver needs a new option to support ports filtering.
This functionality already exists for many other cinder drivers 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

--- Additional comment from arkady kanevsky on 2021-03-30 14:07:03 UTC ---

It has been packported to Victoria - https://review.opendev.org/c/openstack/puppet-cinder/+/779000
Do we need to backport it all the way to Train?

--- Additional comment from arkady kanevsky on 2021-03-30 14:14:30 UTC ---

We need to land it in 16.1 & 16.2.
Customer is waiting for it.
If we need to provide HF for it we can ask Customer.

Please, assign target release.
Expect it is z6 for RHOSP-16.1.

--- Additional comment from Alan Bishop on 2021-03-30 14:16:37 UTC ---

Arkady, 

That's a puppet-cinder patch. Whereas we will be backporting the cinder driver change, as discussed in an email thread we plan to deliver full TripleO integration in OSP-17. In OSP-16.1 and 16.2, the driver feature can be configured using ExtraConfig hiera data.

--- Additional comment from arkady kanevsky on 2021-03-30 14:23:25 UTC ---

Alan,
thanks for quick response.
I am a bit confused now.
I am under assumption that this BZ is for cinder driver.
While 1930267, 1941598, and 1941616  are all handling 3 parts of TripleO for it.

As you suggested customer accepted that they will use ControllerExtraConfig and not use for TripleO patches for XIO port filtering.
But we do need to land cinder driver patch and maybe even deliver it to Customer as HotFix if z6 is too late.

--- Additional comment from Alan Bishop on 2021-03-30 14:32:56 UTC ---

Arkady,

Yes, this BZ is for the cinder driver, but the patch you referenced in comment #1 is puppet-cinder. I'm guessing you meant to reference [1]

[1] https://review.opendev.org/c/openstack/cinder/+/778982.

Because [1] was accepted as a bug fix on a stable branch, we would like your team to continue the backports to stable/train. However, we will do a downstream backport for OSP-16.1,2 in parallel to meet the customer commitments.

--- Additional comment from arkady kanevsky on 2021-03-30 14:37:33 UTC ---

Good point Alan.
You are correct I was referring to https://review.opendev.org/c/openstack/cinder/+/783695
It has 2 +2 but not merged yet.
I will ask Dell team to backport it to Train.

But I will not ask them to backport 3 tripleO patches.

How quickly can we create HF for cinder?
And assume that it will also land the first z-stream for 16.1 and 16.2.

--- Additional comment from arkady kanevsky on 2021-03-30 14:42:02 UTC ---

I stand corrected.
https://review.opendev.org/c/openstack/puppet-tripleo/+/779005 only has only 1 +2.
https://review.opendev.org/c/openstack/cinder/+/775798 is landed in master.

--- Additional comment from Vladislav Belogrudov on 2021-03-30 15:51:55 UTC ---

https://review.opendev.org/c/openstack/cinder/+/783866 - Cinder Train patch.

Comment 1 arkady kanevsky 2021-05-03 14:40:20 UTC
Duplicated for 16.2


Note You need to log in before you can comment on or make changes to this bug.